[arch-commits] Commit in gnome-keyring/repos/extra-x86_64 (4 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Fri Mar 15 12:15:51 UTC 2019


    Date: Friday, March 15, 2019 @ 12:15:51
  Author: bpiotrowski
Revision: 348172

archrelease: copy trunk to extra-x86_64

Added:
  gnome-keyring/repos/extra-x86_64/PKGBUILD
    (from rev 348171, gnome-keyring/trunk/PKGBUILD)
  gnome-keyring/repos/extra-x86_64/gnome-keyring.install
    (from rev 348171, gnome-keyring/trunk/gnome-keyring.install)
Deleted:
  gnome-keyring/repos/extra-x86_64/PKGBUILD
  gnome-keyring/repos/extra-x86_64/gnome-keyring.install

-----------------------+
 PKGBUILD              |  109 +++++++++++++++++++++++-------------------------
 gnome-keyring.install |   14 +++---
 2 files changed, 61 insertions(+), 62 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-15 12:15:46 UTC (rev 348171)
+++ PKGBUILD	2019-03-15 12:15:51 UTC (rev 348172)
@@ -1,55 +0,0 @@
-#$Id$
-# Maintainer: Jan De Groot <jgc at archlinux.org>
-
-pkgname=gnome-keyring
-pkgver=3.28.2
-pkgrel=1
-epoch=1
-pkgdesc="Stores passwords and encryption keys"
-url="https://wiki.gnome.org/Projects/GnomeKeyring"
-arch=(x86_64)
-license=(GPL LGPL)
-depends=(gcr libcap-ng pam openssh)
-makedepends=(git docbook-xsl python)
-checkdepends=(python2)
-groups=(gnome)
-install=gnome-keyring.install
-_commit=c2b54cdd3498ca443fbcb6dc66ff2e6e7b3c44b0  # tags/3.28.2^0
-source=("git+https://git.gnome.org/browse/gnome-keyring#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  sed -i 's/MATE/MATE;Cinnamon/' daemon/*.desktop.in.in
-  sed -i '1s/python$/&2/' build/tap-{driver,gtester}
-  autoreconf -fvi
-}
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --libexecdir=/usr/lib \
-    --with-pam-dir=/usr/lib/security \
-    --disable-static \
-    --disable-schemas-compile
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Secure memory tests fail
-  dbus-run-session make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gnome-keyring/repos/extra-x86_64/PKGBUILD (from rev 348171, gnome-keyring/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-15 12:15:51 UTC (rev 348172)
@@ -0,0 +1,54 @@
+# Maintainer: Jan De Groot <jgc at archlinux.org>
+
+pkgname=gnome-keyring
+pkgver=3.31.91
+pkgrel=1
+epoch=1
+pkgdesc="Stores passwords and encryption keys"
+url="https://wiki.gnome.org/Projects/GnomeKeyring"
+arch=(x86_64)
+license=(GPL LGPL)
+depends=(gcr libcap-ng pam openssh)
+makedepends=(git docbook-xsl python)
+checkdepends=(python2)
+groups=(gnome)
+install=gnome-keyring.install
+_commit=1c834760190ecf5a58c6feee441c41baeea07f5f  # tags/3.31.91^0
+source=("git+https://git.gnome.org/browse/gnome-keyring#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  sed -i 's/MATE/MATE;Cinnamon/' daemon/*.desktop.in.in
+  sed -i '1s/python$/&2/' build/tap-{driver,gtester}
+  autoreconf -fvi
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/usr/lib \
+    --with-pam-dir=/usr/lib/security \
+    --disable-static \
+    --disable-schemas-compile
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Secure memory tests fail
+  dbus-run-session make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Deleted: gnome-keyring.install
===================================================================
--- gnome-keyring.install	2019-03-15 12:15:46 UTC (rev 348171)
+++ gnome-keyring.install	2019-03-15 12:15:51 UTC (rev 348172)
@@ -1,7 +0,0 @@
-post_install() {
-  setcap cap_ipc_lock=ep usr/bin/gnome-keyring-daemon
-}
-
-post_upgrade() {
-  post_install
-}

Copied: gnome-keyring/repos/extra-x86_64/gnome-keyring.install (from rev 348171, gnome-keyring/trunk/gnome-keyring.install)
===================================================================
--- gnome-keyring.install	                        (rev 0)
+++ gnome-keyring.install	2019-03-15 12:15:51 UTC (rev 348172)
@@ -0,0 +1,7 @@
+post_install() {
+  setcap cap_ipc_lock=ep usr/bin/gnome-keyring-daemon
+}
+
+post_upgrade() {
+  post_install
+}


More information about the arch-commits mailing list